print/foomatic-filters - The NetBSD Packages Collection

Spooler-independent PostScript printing filter

The foomatic-filters package provides foomatic-rip and foomatic-gswrapper.

foomatic-rip uses an external renderer (like GhostScript) to translate
PostScript to printer's native language. The printer capabilities are
described in PPD files.  foomatic-rip works with every known spooler.

foomatic-gswrapper massages arguments to make Ghostscript execute
properly as a filter.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

print/mpage print/ghostscript lang/perl5

Available binary packages

aarch64:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
aarch64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
aarch64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
alpha:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
alpha:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
alpha:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earm:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earm:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
earmv6hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earmv6hf:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
earmv6hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earmv6hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earmv7hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
earmv7hf:foomatic-filters-3.0.2nb17.tgz(NetBSD 8.0)
earmv7hf:foomatic-filters-3.0.2nb17.tgz(NetBSD 8.0)
earmv7hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
earmv7hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earmv7hf:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
earmv7hf:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
earmv7hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
earmv7hf:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
i386:foomatic-filters-3.0.2nb17.tgz(NetBSD 8.0)
i386:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
i386:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
i386:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
i386:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
i386:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
mips64eb:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
mips64eb:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
powerpc:foomatic-filters-3.0.2nb17.tgz(NetBSD 8.0)
powerpc:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
powerpc:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
powerpc:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
powerpc:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
sparc64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
sparc64:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
sparc64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
sparc:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
sparc:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
sparc:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
x86_64:foomatic-filters-3.0.2nb17.tgz(NetBSD 8.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 8.0)
x86_64:foomatic-filters-3.0.2nb17.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)
x86_64:foomatic-filters-3.0.2nb18.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

cups
Enable cups (Common UNIX Printing System) support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]